Click or drag to resize

BrepLoopListAddOuterLoop Method

Create a new outer boundary loop that runs along the sides of the face's surface. All the necessary trims, edges, and vertices are created and added to the brep.

Namespace:  Rhino.Geometry.Collections
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public BrepLoop AddOuterLoop(
	int faceIndex
)

Parameters

faceIndex
Type: SystemInt32
index of face that needs an outer boundary that runs along the sides of its surface.

Return Value

Type: BrepLoop
New outer boundary loop that is complete.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also